%define name		mime-dir-j-api
%define version		%(cat %_sourcedir/build.properties | awk -F= '/%{name}.version/ {print $2}')
%define release		%(cat %_sourcedir/build.properties | awk -F= '/%{name}.release/ {print $2}')

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Mime-Dir and vCard Java API
Epoch:		0

Group:		Development/Java
Packager:	Chris Hubick <chris@hubick.com>
License:	LGPL
URL:		http://mime-dir-j.sourceforge.net/
Source0:	%{name}-%{version}-%{release}.zip
Source1:	build.properties
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	jpackage-utils >= 0:1.5
BuildRequires:	ant >= 0:1.6
Requires:	jpackage-utils >= 0:1.5
BuildArch:	noarch

%description
A Java API binding of the IETF Mime-Dir and vCard RFC's. This package defines implementation neutral Mime-Dir and vCard Java interfaces for exposing data objects corresponding to those defined by the RFC's.

%package	javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation
Requires:	jpackage-utils >= 0:1.5

%description	javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}

%build
%ant build

%install
%__rm -rf %{buildroot}

# jars
%__mkdir_p %{buildroot}%{_javadir}
%__cp -a target/%{name}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
%__ln_s %{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

# javadoc
%__mkdir_p %{buildroot}%{_javadocdir}/%{name}-%{version}
%__cp -a target/docs/apidocs/* %{buildroot}%{_javadocdir}/%{name}-%{version}
%__ln_s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}

%clean
%__rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc target/docs/README.txt
%doc target/docs/LICENSE.txt
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar

%files	javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}

%changelog
* Fri Sep 29 2006 Chris Hubick <chris@hubick.com> 0:2.1.0-1
- Refactor MimeDirUtil API, fixing bugs.
* Thu Sep 28 2006 Chris Hubick <chris@hubick.com> 0:2.0.0-1
- Refactor api to avoid method name collision.
* Thu Oct 13 2005 Chris Hubick <chris@hubick.com> 0:1.0.1-1
- Remove I/O escaping of colon ':' character.
* Mon Sep 19 2005 Chris Hubick <chris@hubick.com> 0:1.0.0-2
- Ant rpmbuild target
- Spec uses build.properties version/release
* Mon Aug 08 2005 Chris Hubick <chris@hubick.com> 0:1.0.0-1
- First Release
